<?php
/* $Id: holidays.de.inc.php,v 1.3 2003/10/02 16:56:05 k-fish Exp $ */

if (date("dm", $date) == "0101") $holiday = Lang::getLanguageString("newyear");	
elseif (date("dm", $date) == "0105") $holiday = Lang::getLanguageString("firstmay");       
elseif (date("dm", $date) == "0310") $holiday = Lang::getLanguageString("unityday");
elseif (date("dm", $date) == "0111") $holiday = Lang::getLanguageString("allerheiligen");
elseif (date("dm", $date) == "2412") $holiday = Lang::getLanguageString("holychristmas");       
elseif (date("dm", $date) == "2512") $holiday = Lang::getLanguageString("firstchristmas");
elseif (date("dm", $date) == "2612") $holiday = Lang::getLanguageString("secondchristmas");
else {
    if (date("dmY", $date) == date("dmY", $easter-3600*24*2)) $holiday = Lang::getLanguageString("easterfriday");
    elseif (date("dmY", $date) == date("dmY", $easter)) $holiday = Lang::getLanguageString("eastersunday");
    elseif (date("dmY", $date) == date("dmY", $easter+3600*24)) $holiday = Lang::getLanguageString("eastermonday"); 
    elseif (date("dmY", $date) == date("dmY", $easter+3600*24*39)) $holiday = Lang::getLanguageString("himmelfahrt");
    elseif (date("dmY", $date) == date("dmY", $easter+3600*24*49)) $holiday = Lang::getLanguageString("pfingstsunday");      		    
    elseif (date("dmY", $date) == date("dmY", $easter+3600*24*50)) $holiday = Lang::getLanguageString("pfingstmonday");      		    
    elseif (date("dmY", $date) == date("dmY", $easter+3600*24*60)) $holiday = Lang::getLanguageString("fronleichnam");  
    else $holiday = "";    		    
}
?>